SellOMatic_List = LibStub("AceAddon-3.0"):NewAddon("SellOMatic_List", "AceEvent-3.0", "AceConsole-3.0");
local SellOMatic = _G.SellOMatic

local function getOption(info)
	return (info.arg and SellOMatic.db.profile[info.arg] or SellOMatic.db.profile[info[#info]]);
end;

local function setOption(info, value)
	local key = info.arg or info[#info];
	SellOMatic.db.profile[key] = value;
end;

local list_options = {
	type = "group",
	name = "List Options",
	args = {
		useList = {
			name = "Use list",
			desc = "Toggle ON/OFF the sell/save list.",
			order = 1,
			type = "toggle",
			get = getOption,
			set = setOption,
		},
		caseSensitiveList = {
				name = "Case sensitive list",
				desc = "Toggle ON/OFF case sensitive lists.",
				order = 2,
				type = "toggle",
				get = getOption,
				set = setOption,
		},
		list_allowBoP = {
			name = "Sell BoP",
			desc = "Toggle ON/OFF selling green soulbound items.",
			order = 3,
			type = "toggle",
			get = getOption,
			set = setOption,
		},
		list_allowBoE = {
			name = "Sell BoE",
			desc = "Toggle ON/OFF selling green bind on equip items.",
			order = 4,
			type = "toggle",
			get = getOption,
			set = setOption,
		},
		list_allowWhite = {
			name = "Sell common",
			desc = "Toggle ON/OFF selling common (white) items.",
			order = 5,
			type = "toggle",
			get = getOption,
			set = setOption,
		},
		list_allowBlue = {
			name = "Allow Blue",
			desc = "Toggle ON/OFF selling blue quality items.",
			order = 6,
			type = "toggle",
			get = getOption,
			set = setOption,
		},
		list_allowEpic = {
			name = "Allow Epic",
			desc = "Toggle ON/OFF selling epic quality items.",
			order = 7,
			type = "toggle",
			get = getOption,
			set = setOption,
		},
		list_useILevel = {
			name = "Use iLevel",
			desc = "Toggles ON/OFF selling items by iLevel.",
			order = 8,
			type = "toggle",
			get = getOption,
			set = setOption,
		},
		list_iLevelValue = {
			name = "iLevel value",
			desc = "Items below the iLevel value set will be sold",
			order = 9,
			type = "range",
			min = 1,
			max = 200,
			step = 1,
			get = getOption,
			set = setOption,
		},
	},
}

function SellOMatic_List:OnInitialize()
	LibStub("AceConfig-3.0"):RegisterOptionsTable("SellOMatic_List", list_options);
	LibStub("AceConfigDialog-3.0"):AddToBlizOptions("SellOMatic_List", "List Options", "Sell-O-Matic");
end;



